% refStiff  returns the reference element stiffness matrix
%
% function S = function(p)
%
% p   polynomial degree
% S   element stiffness matrix
%
function S = refStiff(p)

S = sparse([1 1 2 2 3:p+1], [1 2 1 2 3:p+1], ...
	   [0.5 -0.5 -0.5 0.5 ones(1,p-1)], p+1, p+1, p+3);

return;
